{                     Propeller Remote Control Demo for slave 1 by Nico Hattink            
                       ********************************************        }
CON _clkmode = xtal1 + pll16x
    _xinfreq = 5_000_000
   
OBJ  text : "tv_text"
     slv:    "Slv-1.spin"

VAR  long count

PUB start |i
    slv.start                                  'start slave communication Cog
    text.start(12)                             'start TV display
    text.str(string($C,6," Master-slave demo NAH V1.0-1  ",$C,2,$0d))
    count:=19999999                             'random counter
    repeat                                     '
       repeat i from 1 to 5
         slv.trace(1,count++)                    'pass tracepoint 1 and deposit value of "count"
         text.hex(count,8)                       'display on TV for verification 
         text.out($0d)
         waitcnt(100000000+cnt )
         dira:=$00FF0000                          'use A23-A16 to test pin reading
         outa[23..16]:=count                      'output "count" to the testpins

'    slv.break($150,count)                       'after 20 passes,optionally run into breakpoint number $150
                                                 'and deposit the value of count               
      slv.sendmes(string("This is a message from slave 1"))                                         
                                                       